library(mlxR)
model.file <- 'exponential_model_singleEvent.txt'
model.file <- 'gamma_model_singleEvent.txt'
model.file <- 'generalizedgamma_model_singleEvent.txt'
model.file <- 'gompertz_model_singleEvent.txt'
model.file <- 'loglogistic_model_singleEvent.txt'
model.file <- 'uniform_model_singleEvent.txt'
model.file <- 'weibull_model_singleEvent.txt'

model.file <- 'exponential_model_with_delay_singleEvent.txt'
model.file <- 'gamma_model_with_delay_singleEvent.txt'
model.file <- 'generalizedgamma_model_with_delay_singleEvent.txt'
model.file <- 'gompertz_model_with_delay_singleEvent.txt'
model.file <- 'loglogistic_model_with_delay_singleEvent.txt'
model.file <- 'uniform_model_with_delay_singleEvent.txt'
model.file <- 'weibull_model_with_delay_singleEvent.txt'


out <- list(name='Event', time=0)
h <- list(name='hsat', time=seq(0, 200, by=1))
test <- list(name='incompleteGamma', time=seq(0, 200, by=1))

parameter <- c(Te=50, k=0.01, p=3, alpha=4, s=4, del=30)

res <- simulx(model = model.file,
              parameter = parameter,
              output = list(out,h,test),
              group = list(size=1000))

kmplotmlx(res$Event)

#kmplotmlx(res$Event[!is.nan(res$Event$Event),])

